﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;

namespace TelerikGrid
{
	public class MainViewModel
	{
		public MainViewModel()
		{
			Items = ItemGenerator.CreateItems();
		}

		public ICollection<ListItem> Items { get; set; }
	}

	public static class ItemGenerator
	{
		public static IList<ListItem> CreateItems()
		{
			return new List<ListItem>
			{
				new ListItem { Name = Guid.NewGuid().ToString(), Type = 1, Status = 3},
				new ListItem { Name = Guid.NewGuid().ToString(), Type = 1, Status = 3},
				new ListItem { Name = Guid.NewGuid().ToString(), Type = 1, Status = 3},
				new ListItem { Name = Guid.NewGuid().ToString(), Type = 1, Status = 3},
				new ListItem { Name = Guid.NewGuid().ToString(), Type = 1, Status = 3},
				new ListItem { Name = Guid.NewGuid().ToString(), Type = 1, Status = 3},
				new ListItem { Name = Guid.NewGuid().ToString(), Type = 1, Status = 1},
				new ListItem { Name = Guid.NewGuid().ToString(), Type = 2, Status = 1},
				new ListItem { Name = Guid.NewGuid().ToString(), Type = 2, Status = 1},
				new ListItem { Name = Guid.NewGuid().ToString(), Type = 2, Status = 2},
				new ListItem { Name = Guid.NewGuid().ToString(), Type = 2, Status = 2},
				new ListItem { Name = Guid.NewGuid().ToString(), Type = 2, Status = 2},
				new ListItem { Name = Guid.NewGuid().ToString(), Type = 2, Status = 2},
				new ListItem { Name = Guid.NewGuid().ToString(), Type = 2, Status = 2},
				new ListItem { Name = Guid.NewGuid().ToString(), Type = 3, Status = 1},
				new ListItem { Name = Guid.NewGuid().ToString(), Type = 3, Status = 4},
				new ListItem { Name = Guid.NewGuid().ToString(), Type = 3, Status = 4},
				new ListItem { Name = Guid.NewGuid().ToString(), Type = 3, Status = 4},
				new ListItem { Name = Guid.NewGuid().ToString(), Type = 3, Status = 4},
				new ListItem { Name = Guid.NewGuid().ToString(), Type = 3, Status = 4},
				new ListItem { Name = Guid.NewGuid().ToString(), Type = 1, Status = 4},
			};
		}
	}

	public class ListItem
	{
		public string Name { get; set; }

		public int Status { get; set; }

		public int Type { get; set; }
	}
}
